----------------
-- RageHenge --
----------------

local RageHenge = Henge:NewModule("RageHenge")
RageHenge.fullname = "RageHenge"
RageHenge.icon     = "icon"

local ML, SL, PT = nil, nil, nil

function RageHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "WARRIOR"
end

function RageHenge:Load()
	ML = HengeLocale:LoadRageHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	PT = AceLibrary("PeriodicTable-2.0")
	self.db = Henge:AcquireDBNamespace("RageHenge")

	-- Set up defaults
	self.defaultsPC = {}
	self.defaults = {}
	Henge:RegisterDefaults("RageHenge", "profile", self.defaults)
	Henge:RegisterDefaults("RageHenge", "char", self.defaultsPC)

	HengeSphere:AddData({
		["id"] = "rage",
		["name"] = ML["Rage"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["battshout"] = SL["Battle Shout"],
		["demoshout"] = SL["Demoralizing Shout"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = "spell",
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "shout",
		["type"] = "action",
		["name"] = ML["Shout"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "battshout",
			["RightButton"] = "demoshout"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end
